/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"CurlHelper_8h.html#a252b2cb72531cb00ecd4d4db37a5a473",
"HistoryLog_8h_source.html",
"LogControl_8cc.html#a3adbdec3cfb4dc79c8f0fbd18a6f4c89",
"MetaLinkParser_8cc.html#a5456263c51ed3d8b8d276e9fd76a615da7f5485a0ef07bb4e6ef27fc9b06e11dd",
"PluginScriptException_8h.html#a24ca2a9ef8153c4bb5374885a9e74170",
"Rel_8h_source.html",
"Resolver_8cc_source.html",
"SolverQueueItemUpdate_8h.html",
"TargetException_8h_source.html",
"XmlString_8h.html",
"classzypp_1_1ByteCount.html#a10a97b319b607891d5a63a241a602957",
"classzypp_1_1CheckSum.html#a4608aafe4aa063d914318882e95ec368",
"classzypp_1_1DefaultIntegral.html#afb9dae9092031e714349a8ee63e231d1",
"classzypp_1_1Fetcher_1_1Impl.html#ac1e6b3665f516924263fe5bc19d0011a",
"classzypp_1_1IdStringType.html#ae12ae9dfce3a4be8ec49d3cd68a3aa6e",
"classzypp_1_1Match.html#a6974e0b83fbcdb4c27f83b107d5edc17",
"classzypp_1_1PluginExecutor.html",
"classzypp_1_1PoolQuery.html#ad5850b44f89a13806e0fac126753dc73",
"classzypp_1_1PublicKeyData.html#a4e3a847da3e7a83e284b5e382ee0f6b4",
"classzypp_1_1RepoStatus.html#aa79138e17d91e94b5f380e69506dcf7c",
"classzypp_1_1ResPoolProxy.html#afa1602f0353acc490827263e100b7212",
"classzypp_1_1Resolver.html#ac7b334c97c98f0362dba06e12d8cf930",
"classzypp_1_1Url.html#a1852551860959392aa3444d845ef3b3b",
"classzypp_1_1ZConfig_1_1Impl.html#a3f81753a1e1541a39e6f701eff628515",
"classzypp_1_1base_1_1DrunkenBishop_1_1Impl.html#ac64bba80e9016a601f15a596f350f646",
"classzypp_1_1detail_1_1PoolQueryMatcher.html#aba8d2d900eb3c1e27708b2ce15978621",
"classzypp_1_1filesystem_1_1Pathname.html#ab692459351a06894287a69fea33c7fd1",
"classzypp_1_1media_1_1CurlAuthData.html#a60ab665117bced4f9f2e6f21b0632644",
"classzypp_1_1media_1_1MediaDISK.html#a0a2c1c62683c12efe9b0c3355fa6ce22",
"classzypp_1_1media_1_1MediaNotEjectedException.html",
"classzypp_1_1media_1_1UrlResolverPlugin.html#a2d63f9325a506deae918aaf19aa4ab38",
"classzypp_1_1parser_1_1ParserProgress.html#a25b7eeef5b37239dbcfdf6ced968a9e7",
"classzypp_1_1repo_1_1RepoException.html#abee6a3fed8c24a183a2a51a371947144",
"classzypp_1_1sat_1_1LookupAttr.html#a4c88db2d849ce411d10d4005e89717af",
"classzypp_1_1sat_1_1Queue.html#ae59b61140468fdedbca5574a840da278",
"classzypp_1_1sat_1_1SolvableSpec.html#a1650e34a2f05e8170fde753117d2b3aa",
"classzypp_1_1sat_1_1detail_1_1Transaction__const__iterator.html#a2cde750308ee4c4cc9816944138303ac",
"classzypp_1_1target_1_1CommitPackageCache_1_1Impl.html#aa0fbce133f92f588eb43a07d5ffe35df",
"classzypp_1_1target_1_1rpm_1_1RpmDb.html#a27730227478a110d60bc01d0a89dafb8",
"classzypp_1_1ui_1_1Selectable.html",
"classzypp_1_1xml_1_1Node.html#a3e2ba456429549b66f690f22c9cc0d51",
"functions_eval_y.html",
"group__ZYPP__RESOLVABLE__SMART__POINTER__TYPES.html#ga94627c0e79c75ac6667479ad82df9d1b",
"namespacezypp_1_1functor_1_1functor__detail.html",
"structzypp_1_1CodeMaps.html#ad39a08c369642241df15118128c83d28",
"structzypp_1_1HistoryActionID.html#a88d13d8ce761da89f7db7f6575dd7c41aa00c0a1cb9d33cc8fae98545004af4ab",
"structzypp_1_1PoolItemSaver.html",
"structzypp_1_1RepoInfo_1_1Impl.html#a7bc6560087ee6d42fd6020d087ad6f73",
"structzypp_1_1ServiceInfo_1_1RepoState.html#af6818ee72671ad6c280baf3a53c58ee3",
"structzypp_1_1debug_1_1Tm.html#a8159b67d97a0c087b3eaffbf6f3082b9",
"structzypp_1_1media_1_1CurlConfig.html",
"structzypp_1_1pool_1_1PoolStats.html#acdd953f02d376d7e382f77903fba79fa",
"structzypp_1_1sat_1_1FileConflicts_1_1Conflict.html#a9f5813983a77a400763c0dbd41e38c40",
"structzypp_1_1target_1_1rpm_1_1FileInfo.html#af3a930e3df8ee5b3910a31a33e168436",
"structzypp_1_1xml_1_1ParseDefDataException.html#a78c52bef0117650064a4317e5a58b042"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';